# Local Modules

The LocalModule object (which binds the `WpImplModule` C API) provides a way to load PipeWire modules in the WirePlumber process. Instantiating the object loads the module, and when the last reference to the returned module object is dropped, the module is unloaded.

## Constructors

LocalModule(name, arguments, properties)

  Loads the named module with the provided arguments and properties (either of which can be `nil`).

  Parameters:

    - name (string) -- the module name, such as `"libpipewire-module-loopback"`

    - arguments (string) -- should be either `nil` or a string with the desired module arguments

    - properties (table) -- can be `nil` or a table that can be converted to `WpProperties`

  Returns:

    a new LocalModule

  Return type:

    LocalModule (`WpImplModule`)

  Since:

    0.4.2